from abc import (
    ABC,
    abstractmethod,
)
from typing import (
    Any,
    Dict,
    Optional,
)


class LambdaInvoker(ABC):
    @abstractmethod
    def invoke(self, event: Optional[Dict[str, Any]] = None) -> bytes:
        raise NotImplementedError()
